
From: NeilBrown <neilb@cse.unsw.edu.au>

We get a NULL dereference here anyway, no need to BUG() explicitly.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/locks.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/locks.c~locks-remove-unnecessary-bug fs/locks.c
--- 25/fs/locks.c~locks-remove-unnecessary-bug	2005-03-07 23:56:04.000000000 -0800
+++ 25-akpm/fs/locks.c	2005-03-07 23:56:04.000000000 -0800
@@ -1172,10 +1172,8 @@ int __break_lease(struct inode *inode, u
 		if (fl->fl_type != future) {
 			fl->fl_type = future;
 			fl->fl_break_time = break_time;
-			if (fl->fl_lmops && fl->fl_lmops->fl_break)
-				fl->fl_lmops->fl_break(fl);
-			else    /* lease must have lmops break callback */
-				BUG();
+			/* lease must have lmops break callback */
+			fl->fl_lmops->fl_break(fl);
 		}
 	}
 
_
